Bug Hunting Session
Bug 84765 - Impress Remote: add support for handling hidden slides
Summary: Impress Remote: add support for handling hidden slides
Status: NEW
Alias: None
Product: Impress Remote
Classification: Unclassified
Component: Android app (show other bugs)
Version:
(earliest affected)
2.1.1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, skillJava
Depends on:
Blocks:
 
Reported: 2014-10-07 17:56 UTC by Davide Depau
Modified: 2018-09-08 02:41 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Depau 2014-10-07 17:56:33 UTC
When showing a slideshow with the mouse (e.g. clicking the presentation to go to the next page), hidden slides stay hidden. But if I use Impress Remote, hidden slides are shown in the slideshow.
Comment 1 Joel Madero 2014-10-08 17:16:11 UTC
Hey Davide -

So what I can see is that if you tap on your device (the one with the remote) then it skips the hidden slide. If you swipe it shows the hidden slide. For me this is kind of a feature since now you have the option to see the hidden slide if you choose, but you can skip by tapping.

Your thoughts?
Comment 2 Robinson Tryon (qubit) 2014-10-08 20:15:18 UTC
I think by default, a hidden slide should remain hidden.

If we'd like to add a feature to the Android remote to allow hidden slides to be shown, that's fine with me, but I think that users won't expect the current behavior.
Comment 3 Davide Depau 2014-10-09 13:34:19 UTC
Hi,
I agree with Robinson. A hidden slide should stay hidden whether you tap on it or you swipe. What you could do is showing *all* the slides, including the hidden ones, in the slideshow overview (maybe graying them out), and adding a togglable option in the action menu "Skip hidden slides", enabled by default.
Comment 4 Robinson Tryon (qubit) 2014-10-09 14:01:52 UTC
David: What version of the Impress Remote are you using?
Comment 5 Davide Depau 2014-10-10 12:22:05 UTC
2.1.1 released on June 5, 2014, according to Google Play.
Comment 6 Robinson Tryon (qubit) 2015-02-13 19:16:37 UTC
Moving bug to (new) 'Impress Remote' product.
Comment 7 Christian Lohmaier 2015-04-07 16:41:37 UTC
There's an inconsistency in the LibreOffice Impress part of things - sometimes it doesn't tell the remote about hidden slides (they won't appear on the remote at all, not in slide overview either).
As then the Remote doesn't see the hidden slides anymore, it cannot tell LibreOffice to "switch to <slide#x, that happens to be hidden/>" anymore, thus in this case → worksforme
But this is somewhat inconsistent (or rather anything but straight-forward), and sometimes, even with the very same presentation, it sends all slides over to the remote. I didn't bother to track down the circumstances on when you get all and when you only get some (guess reading the code then is easier). But it seems that when you connect/start the presentation while in Impress you have one of the hidden slides selected (e.g. in the slidesorting view) or opened for editing in the normal view, the remote gets the shortened list, i.e. the one without the hidden slides, and when you are on a slide that is not hidden, you get the full list that includes the hidden ones.

To me, this is the opposite way I'd expect that if it was a feature. It should work the other way, include the hidden ones when I select a hidden one, and restrict to the non-hidden ones, when I start with a regularly displayed one. But this would be a very obscure feature.

but yes, swipe going directly to the next slide, and tap/volume button performing the next action (stepping through manually triggered animations and transitions) is expected behavior.

############## SUMMARY #################

* start presentation while LO Impress has a hidden slide selected/active
  → remote gets a stripped down list without the hidden slides (no way to show hidden slides via the remote)

* start presentation while LO Impress has a regular slide selected/active
  → remotes gets full list of slides (you can display hidden slides via the gridview or by sliding to a hidden one)

* currently there's no flagging of hidden slides defined in the protocol between the remote and LO impress
  → the remote needs to be extended to show hidden slides as such in the gridview
  → UI/UX for handling swiping re hidden slides need to be agreed upon (show dialog asking to confirm to show hidden slide or skip to next regular slide? just go to next slide and have an option "enable swipe to hidden slide",...)
  → Remote Protocol needs to be extended to send a message "hidden_slides" or similar that has the slide numbers as message data for the remotes to evaluate

###### THIS BUG #######

This bug is about the Android Remote part of the topic, namely:

* handling display of hidden slides in the slides grid (shading or border or similar, maybe with a toggle to show/hide them completely)
* implementing whatever UX to access/skip those hidden slides via the remote (propose ideas and assign to ux-advise for feedback)

EasyHack, as the ImpressRemote in general is easy to hack on :-))
Comment 8 Robinson Tryon (qubit) 2015-12-18 10:07:06 UTC Comment hidden (obsolete)
Comment 9 Robinson Tryon (qubit) 2016-02-18 14:51:52 UTC Comment hidden (obsolete)
Comment 10 jani 2016-04-29 06:03:59 UTC
Missing code pointer (mandatory for easy hack)
Comment 11 Xisco Faulí 2016-09-27 10:36:16 UTC Comment hidden (obsolete)
Comment 12 Shinnok 2017-09-07 09:41:24 UTC Comment hidden (obsolete)
Comment 13 Shinnok 2017-09-07 09:49:56 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2018-09-08 02:41:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug